Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
POSTBare Metal Management OperationsSince 3.3.0SynchronousAuth Required

CreateBaremetalBonding

CreateBaremetalBonding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bonded NIC.

    • modeIntegerRequired

      The network bonding mode.

    • slavesStringRequired

      The bonded slave MAC addresses of the NIC.

    • optsString

      Optional. The network bonding options.

    • resourceUuidString

      Optional. The network bonding UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueStringRequired

      The reserved field. Default value: null.

    • causeStringRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBaremetalBondingInventoryRequired

    详情参考inventory

    • uuidStringRequired

      The network bonding UUID.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bonded NIC.

    • modeIntegerRequired

      The network bonding mode.

    • slavesStringRequired

      The bonded slave MAC addresses. Each MAC address is separated by a comma (,).

    • optsStringRequired

      The network bonding options.

    • createDateTimestampRequired

      The time when the network bonding was created.

    • lastOpDateTimestampRequired

      The time when the network bonding was last modified.

Endpoint

POST/zstack/v1/baremetal/network/bondings

/zstack/v1/baremetal/network/bondings

Operation ID

CreateBaremetalBonding

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal/network/bondings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"chassisUuid":"<chassisUuid>","name":"<name>","mode":1,"slaves":"<slaves>","opts":"<opts>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a904ce62244c415795da26028fc281b4", "chassisUuid": "c034b1866a754e3c88ca7d67770dc8eb", "name": "bond0", "mode": 1.0, "slaves": "d4:ae:52:6e:d1:0d,d4:ae:52:6e:d1:04", "opts": "miimon=100", "createDate": "Jan 8, 2019 3:06:09 PM", "lastOpDate": "Jan 8, 2019 3:06:09 PM" } }

Change History

This API has no change history records yet.

View all change history